2019-12-07 22:39 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001684Database Workbench v5NexusDB Modulepublic2019-05-28 10:01
ReporterArturo Monge 
Assigned ToMartijn Tonies 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
Product Version[Database Workbench] 5.6.2 
Target VersionFixed in Version[Database Workbench] 5.6.4 
Summary0001684: When extracting the DDL of check constraints in NexusDB, the first and last parenthesis are lost
DescriptionThe check constraint:

(MyField >= 3) AND (MyField <= 4)

is extracted as:

ALTER TABLE AD_Customers ADD CONSTRAINT C_AD_Customers_CheckElectronicInvoicingDecimalPlaces
  CHECK (MyField >= 3) AND (MyField <= 4);

when it should be extracted as:

ALTER TABLE AD_Customers ADD CONSTRAINT C_AD_Customers_CheckElectronicInvoicingDecimalPlaces
  CHECK ((MyField >= 3) AND (MyField <= 4));
Steps To ReproduceCreate check constraint that uses parenthesis. Then extract DDL for the database.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes
There are no notes attached to this issue.
+Notes

-Issue History
Date Modified Username Field Change
2019-04-01 01:13 Arturo Monge New Issue
2019-04-25 09:23 Martijn Tonies Assigned To => Martijn Tonies
2019-04-25 09:23 Martijn Tonies Status new => assigned
2019-05-08 10:48 Martijn Tonies Status assigned => resolved
2019-05-08 10:48 Martijn Tonies Fixed in Version => 5.6.4
2019-05-08 10:48 Martijn Tonies Resolution open => fixed
2019-05-28 10:01 Martijn Tonies Status resolved => closed
+Issue History